apiVersion: apps/v1
kind: Deployment
metadata:
  name: mal
spec:
  replicas: 1
  template:
    spec:
      containers:
        - name: mal
          resources:
            limits:
              cpu: "1"
              memory: "1Gi"
            requests:
              cpu: "500m"
              memory: "512Mi"
          env:
            - name: ENV
              value: production
